#include "c4d_basedraw.h"

void BaseView::GetFrame(LONG *cl, LONG *ct, LONG *cr, LONG *cb)
{
	C4DOS.Bv->GetFrame(this,cl,ct,cr,cb);
}

void BaseView::GetSafeFrame(LONG *from, LONG *to, LONG *horizontal)
{
	C4DOS.Bv->GetSafeFrame(this,from,to,horizontal);
}

void BaseView::GetParameter(Vector *offset, Vector *scale, Vector *scale_z)
{
	C4DOS.Bv->GetParameter(this,offset,scale,scale_z);
}

Bool BaseView::TestClipping3D(const Vector &mp, const Vector &rad, const Matrix &mg, Bool *clip2d, Bool *clipz)
{
	return C4DOS.Bv->TestClipping3D(this,mp,rad,mg,clip2d,clipz);
}
